Show / Hide Table of Contents

# Class SqlCompletionItem

Creates a completion item from SQL parser declaration item

##### Inheritance

System.Object
SqlCompletionItem

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Completion

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class SqlCompletionItem

### Constructors

| Improve this Doc View Source

#### SqlCompletionItem(Declaration, String)

Create new instance given the SQL parser declaration

##### Declaration

    public SqlCompletionItem(Declaration declaration, string tokenText)

##### Parameters

Type | Name | Description
--- | --- | ---
Microsoft.SqlServer.Management.SqlParser.Intellisense.Declaration | declaration |
System.String | tokenText |

| Improve this Doc View Source

#### SqlCompletionItem(String, DeclarationType, String)

Creates new instance given declaration title and type

##### Declaration

    public SqlCompletionItem(string declarationTitle, DeclarationType declarationType, string tokenText)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | declarationTitle |
Microsoft.SqlServer.Management.SqlParser.Intellisense.DeclarationType | declarationType |
System.String | tokenText |

### Properties

| Improve this Doc View Source

#### DeclarationTitle

Declaration Title

##### Declaration

    public string DeclarationTitle { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DeclarationType

SQL declaration type

##### Declaration

    public DeclarationType DeclarationType { get; }

##### Property Value

Type | Description
--- | ---
Microsoft.SqlServer.Management.SqlParser.Intellisense.DeclarationType |

| Improve this Doc View Source

#### Detail

Completion item detail

##### Declaration

    public string Detail { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### InsertText

Completion insert text

##### Declaration

    public string InsertText { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Kind

Completion item kind

##### Declaration

    public CompletionItemKind Kind { get; }

##### Property Value

Type | Description
--- | ---
CompletionItemKind |

| Improve this Doc View Source

#### Label

Completion item label

##### Declaration

    public string Label { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### TokenText

Token text from the editor

##### Declaration

    public string TokenText { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### CreateCompletionItem(Int32, Int32, Int32)

Creates a completion item given the editor info

##### Declaration

    public CompletionItem CreateCompletionItem(int row, int startColumn, int endColumn)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | row |
System.Int32 | startColumn |
System.Int32 | endColumn |

##### Returns

Type | Description
--- | ---
CompletionItem |

| Improve this Doc View Source

#### CreateCompletionItem(String, String, String, CompletionItemKind, Int32, Int32, Int32)

Creates a completion item

##### Declaration

    public static CompletionItem CreateCompletionItem(string label, string detail, string insertText, CompletionItemKind kind, int row, int startColumn, int endColumn)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.String | detail |
System.String | insertText |
CompletionItemKind | kind |
System.Int32 | row |
System.Int32 | startColumn |
System.Int32 | endColumn |

##### Returns

Type | Description
--- | ---
CompletionItem |